<div class="form-container">
  <form [formGroup]="form" (ngSubmit)="saveDetails()">

    <mat-form-field appearance="outline">
      <mat-label>Name</mat-label>
      <input matInput maxlength="{{ nameMaxLen }}" inputmode="tel" placeholder="Type name" formControlName="name" #nameInput>
      <mat-hint>Characters: {{ form.controls['name'].value.length }}/{{ nameMaxLen }}</mat-hint>
      <mat-error *ngIf="form.controls['name'].errors?.['required']">Name is required</mat-error>
      <mat-error *ngIf="form.controls['name'].errors?.['minlength']">
        <span *ngIf="!form.pristine">Please enter at least {{ nameMinLen }} characters</span>
      </mat-error>
      <mat-error *ngIf="form.controls['name'].errors?.['maxlength']">
        Maximum allowed length is {{ nameMaxLen }} characters
      </mat-error>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Description:</mat-label>
      <textarea matInput formControlName="description" placeholder="Description"></textarea>
      <mat-error *ngIf="form.controls['description'].errors?.['required']">Description is required</mat-error>
      <mat-error *ngIf="form.controls['description'].errors?.['maxlength']">Maximum length is {{ descriptionMaxLen }} characters</mat-error>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>URL:</mat-label>
      <input matInput formControlName="url" placeholder="App URL">
      <mat-hint>Enter URL where your pod UI is hosted</mat-hint>
      <mat-error *ngIf="form.controls['url'].errors?.['required']">URL is required</mat-error>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Image URL:</mat-label>
      <input matInput formControlName="imageUrl" placeholder="Image URL">
      <mat-hint>Enter URL where the image for your pod is hosted</mat-hint>
      <mat-error *ngIf="form.controls['imageUrl'].errors?.['required']">Image URL is required</mat-error>
    </mat-form-field>

    <h4>Tags</h4>

    <div class="item-container" formArrayName="tags">
      <ng-container *ngFor="let appTag of appTags; let i = index">
        <mat-checkbox [formControlName]="i">{{appTag.name}}</mat-checkbox>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      </ng-container>
    </div>
    
    <devportal-permissions (changed)="hasAggChanges = true"></devportal-permissions>
    <br/>


    <div mat-dialog-actions align="start">
      <button mat-raised-button color="primary" type="submit" [disabled]="(form.pristine && !hasAggChanges) || !form.valid || loading">Update</button>
    </div>
  </form>
</div>
